// routes/ticketRoutes.js
const express = require('express');
const CancelTicketrouter = express.Router();
const authorize = require('../middleware/auth');

const { verifyUserforCancelation,cancelTicket, cancellationData } = require('../controllers/cancelTicketController');

// POST /api/ticket/cancel
CancelTicketrouter.post('/verifyuser', verifyUserforCancelation);
CancelTicketrouter.post('/cancellationData', cancellationData);
CancelTicketrouter.post('/cancelTicket',authorize, cancelTicket);

module.exports = CancelTicketrouter;
